package com.gic.enterprise.entity;

import java.util.Date;

/**
 * tab_data_member_consume_config
 */
public class TabDataMemberConsumeConfig {
    /**
     * 
     */
    private Integer memberConsumeConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 会员消费统计粒度 1:会员 + 渠道 + 线上店铺/线下门店品牌 （按订单统计） 2:会员 + 渠道 + 线上店铺/线下门店品牌 + 商品品牌 （按订单项统计）
     */
    private Integer memberConsumeCount;

    /**
     * 最高单笔配置 1:最高ERP单笔应付』 2:『最高单笔销售应付』 3:『最高有效单笔应付』 4:『最高成交单笔应付』
     */
    private Integer memberConsumeMax;

    /**
     * 消费次数 1:消费单次数』2:『有效消费次数』
     */
    private Integer memberConsumeTimes;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getMemberConsumeConfigId() {
        return memberConsumeConfigId;
    }

    public TabDataMemberConsumeConfig setMemberConsumeConfigId(Integer memberConsumeConfigId) {
        this.memberConsumeConfigId = memberConsumeConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabDataMemberConsumeConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getMemberConsumeCount() {
        return memberConsumeCount;
    }

    public TabDataMemberConsumeConfig setMemberConsumeCount(Integer memberConsumeCount) {
        this.memberConsumeCount = memberConsumeCount;
        return this;
    }

    public Integer getMemberConsumeMax() {
        return memberConsumeMax;
    }

    public TabDataMemberConsumeConfig setMemberConsumeMax(Integer memberConsumeMax) {
        this.memberConsumeMax = memberConsumeMax;
        return this;
    }

    public Integer getMemberConsumeTimes() {
        return memberConsumeTimes;
    }

    public TabDataMemberConsumeConfig setMemberConsumeTimes(Integer memberConsumeTimes) {
        this.memberConsumeTimes = memberConsumeTimes;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public TabDataMemberConsumeConfig setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabDataMemberConsumeConfig setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabDataMemberConsumeConfig setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}